package com.bjtdba.entity.userCenter;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户记录表(UserRelation)实体类
 *
 * @author 何海强
 * @since 2022-11-29 16:38:41
 */
public class UserRelation implements Serializable {
    private static final long serialVersionUID = -49750852254468475L;
    /**
     * 用户ID
     */
    private Integer uid;
    /**
     * 类型的 id
     */
    private Integer typeId;
    /**
     * 关联类型(1= 普通商品、10 = 店铺)
     */
    private Integer type;
    /**
     * 添加时间
     */
    private Date createTime;


    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

